class ServerError(Exception):
    """
    Класс - исключение, для обработки ошибок сервера.
    При генерации требует строку с описанием ошибки,
    полученную с сервера.
    """

    def __init__(self, text):
        self.text = text

    def __str__(self):
        return self.text


class ReqFieldMissingError(Exception):
    """
    Класс - исключение, для обработки ошибок отсутствия обязательного поля.
    При генерации требует строку с описанием ошибки,
    полученную с поля.
    """

    def __init__(self, text):
        self.text = text

    def __str__(self):
        return f'В принятом словаре отсутствует обязательное поле {self.text}.'


class NonDictInputError(Exception):
    """
    Класс - исключение, для обработки ошибок отсутствия cловаря.
    При генерации требует строку с описанием ошибки,
    полученную с поля.
    """

    def __str__(self):
        return f'Этот аргумент функции должен быть словарём'
